SSH Ask Pass

- Convert the app UI to use WQt::LayerShell.
- Make the UI full-screen: 450 <= wdith <= 540; transparent background covering whole screen.

PolKit authenticator

- Split the auth agent and GUI --> when they're together, we can't use layer-shell.
- The agent call the dialog and passes the identities and other details using IPC.
- The GUI takes the user input, and then writes the id and password to stdout,
  which is then read by the agent. We can perform this transaction using a weak
  encryption: as soon as the UI is spawned, write a password into its stdin.
- Convert the GUI to use WQt::LayerShell.
- Make the GUI full-screen: 450 <= wdith <= 540; transparent background covering whole screen.
